Bug 1478546 - virt-manager disk creation on remote KVM leads to "'NoneType' object has no attribute 'get_disk_type'"
virt-manager disk creation on remote KVM leads to "'NoneType' object has no a...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 14:56 EDT by Werner Gold
Modified: 2017-09-14 16:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-14 16:29:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Werner Gold 2017-08-04 14:56:46 EDT
Description of problem:

Disk creation or adding a disk for a virtual machine on a remote RHEL 6.9 host leads to the error:

'NoneType' object has no attribute 'get_disk_type'

Locally on the F26, it seems to work.

Version-Release number of selected component (if applicable):
virt-manager-1.4.1-2.fc26.noarch

Remote System:
libvirt-0.10.2-62.el6.x86_64

How reproducible:

At creation of new machine or at adding a HD to an existing machine.
Comment 1 Cole Robinson 2017-08-06 17:12:22 EDT
This is fixed upstream with this patch, will be doing a virt-manager release soon:

commit 713e07d4a2c4a1ef31bff2c6295df5e3934fd6eb
Author: Pavel Hrdina <phrdina@redhat.com>
Date:   Wed May 17 09:18:49 2017 +0200

    virtinst.diskbackend: set pool after creating StorageVolume
Comment 2 Fedora Update System 2017-08-13 00:04:14 EDT
virt-manager-1.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-78bdd17f19
Comment 3 Fedora Update System 2017-08-14 17:51:46 EDT
virt-manager-1.4.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.